MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
TagArchive.hxx File Reference
`#include "check.h"`
Include dependency graph for TagArchive.hxx:

Go to the source code of this file.

## Functions
bool | tag_archive_scan (ArchiveFile &archive, const char *path_utf8, const TagHandler &handler, void *handler_ctx)
| Scan the tags of a song file inside an archive. More...
bool | tag_archive_scan (ArchiveFile &archive, const char *path_utf8, TagBuilder &builder)
| Scan the tags of a song file inside an archive. More...

## Function Documentation

bool tag_archive_scan | ( | ArchiveFile & | archive,
|  | const char * | path_utf8,
|  | const TagHandler & | handler,
|  | void * | handler_ctx
| ) |  |

Scan the tags of a song file inside an archive.

Invokes matching decoder plugins, but does not invoke the special "APE" and "ID3" scanners.

Returns
  true if the file was recognized (even if no metadata was found)

bool tag_archive_scan | ( | ArchiveFile & | archive,
|  | const char * | path_utf8,
|  | TagBuilder & | builder
| ) |  |

Scan the tags of a song file inside an archive.

Invokes matching decoder plugins, and falls back to generic scanners (APE and ID3) if no tags were found (but the file was recognized).

Returns
  true if the file was recognized (even if no metadata was found)